Skip to content

MAC Registration (UNKNOWN)

Overview

The MAC Registration REST APIs and Model, allow the creation, deletion, and modification of MAC registration list, and MAC registrations.

What This API Does

  • Create, modify, and delete MAC registration list and MAC registrations

Error Handling

The API uses standard HTTP status codes with detailed error messages in the response body.

Common Error Responses

All endpoints may return these common error responses:

  • 400 Bad Request: Invalid input data or validation errors
  • 401 Unauthorized: Missing or invalid authentication
  • 403 Forbidden: Insufficient permissions
  • 404 Not Found: Requested resource doesn't exist
  • 409 Conflict: Resource conflict (e.g., duplicate names)
  • 422 Unprocessable Entity: Business rule violations
  • 500 Internal Server Error: Unexpected server errors
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud/
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud/
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud/

Registration Pool

Operations

MAC Registration

Operations

Search MAC Registrations by Criteria

Request

Path
poolIdstring(uuid)required

Registration pool id

Example: f1ae11f2-1390-47c1-b05e-8377180c2b27
Query
pageinteger>= 0

Zero-based page index (0..N)

Default 0
sizeinteger>= 1

The size of the page to be returned

Default 20
sortArray of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Bodyrequired
searchCriteriaListArray of objects(SearchCriteria)
dataOptionstring
Example: "ALL"
{ "searchCriteriaList": [ {} ], "dataOption": "ALL" }

Responses

Registrations

Body
totalPagesinteger(int32)
totalElementsinteger(int64)
sizeinteger(int32)
contentArray of objects(Registration)
numberinteger(int32)
sortobject(SortObject)
pageableobject(PageableObject)
numberOfElementsinteger(int32)
firstboolean
lastboolean
emptyboolean
Response
{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "paged": true, "pageNumber": 0, "pageSize": 0, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

List MAC Registrations in Pool

Request

Path
poolIdstring(uuid)required

Registration pool id

Example: f1ae11f2-1390-47c1-b05e-8377180c2b27
Query
pageinteger>= 0

Zero-based page index (0..N)

Default 0
sizeinteger>= 1

The size of the page to be returned

Default 20
sortArray of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

No request payload

Responses

Registrations

Body
totalPagesinteger(int32)
totalElementsinteger(int64)
sizeinteger(int32)
contentArray of objects(Registration)
numberinteger(int32)
sortobject(SortObject)
pageableobject(PageableObject)
numberOfElementsinteger(int32)
firstboolean
lastboolean
emptyboolean
Response
{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "paged": true, "pageNumber": 0, "pageSize": 0, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

Returns the Specific MAC Registration

Request

Path
idstring(uuid)required

MAC registration id

Example: 28529868-9db0-4361-ba20-4d35fb402bc2
poolIdstring(uuid)required

Registration pool id

Example: f1ae11f2-1390-47c1-b05e-8377180c2b27
No request payload

Responses

MAC registration

Body
idstring(uuid)

The unique identifier for this MAC registration.

expirationDatestring(date-time)

Indicates when this registration expires. Will derive from the pool setting if not specified.

revokedbooleanrequired

If this MAC registration is revoked or not.

macAddressstring^([0-9A-F]{2}:){5}([0-9A-F]{2})$required

The mac address for this registration. Must be provided on post, and may not be changed.

usernamestring[ 0 .. 255 ] characters

A username for this device, it does not reflect an authenticated user that has gone through a real authentication process.

emailstring[ 0 .. 255 ] characters^(?:[\w!#$%&’*+/=?`{|}~^-]+(?:\.[\w!#$%&’*+/=...

The email to associate with this device.

Example: "dev@commscope.com"
locationstring[ 0 .. 255 ] characters

The location of this device.

deviceNamestring[ 0 .. 255 ] characters

Device name

createdDatestring(date-time)

The created date of this device.

isReferencedboolean

This registration is referenced by an identity and cannot be deleted.

_linksobject(Links)
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "expirationDate": "2019-08-24T14:15:22Z", "revoked": true, "macAddress": "string", "username": "string", "email": "dev@commscope.com", "location": "string", "deviceName": "string", "createdDate": "2019-08-24T14:15:22Z", "isReferenced": true, "_links": { "property1": {}, "property2": {} } }

Assign Registration Pool Identity Group

Operations

Wifi Network

Operations